Subject: bug#55807: closed (Re: bug#55807: [PATCH] Add a fallback font for Tamil Supplement characters.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 05 Jun 2022 14:11:02 +0000

Your bug report

#55807: [PATCH] Add a fallback font for Tamil Supplement characters.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55807: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55807
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55807: [PATCH] Add a fallback font for Tamil Supplement characters.
From: Eli Zaretskii <[email-masked]>
To: समीर सिंह Sameer Singh<[email-masked]>
Cc: [email-masked]
Date: Sun, 05 Jun 2022 17:09:49 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: समीर सिंह Sameer Singh
>  <[email-masked]>
> Date: Sun, 5 Jun 2022 19:27:04 +0530
> 
> This is the patch to add a font for Tamil supplement characters as discussed earlier.
> 
> I couldn't fit the commit message in one line, so if I did anything wrong please tell me.

I installed it with a couple of minor changes.

Thanks.

Subject: [PATCH] Add a fallback font for Tamil Supplement characters.
From: समीर सिंह Sameer Singh<[email-masked]>
To: [email-masked]
Date: Sun, 5 Jun 2022 19:27:04 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the patch to add a font for Tamil supplement characters as
discussed earlier.

I couldn't fit the commit message in one line, so if I did anything wrong
please tell me.

Thank You.
From cad05fe6dd8c136754e9264766dc0f2748fda921 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?=E0=A4=B8=E0=A4=AE=E0=A5=80=E0=A4=B0=20=E0=A4=B8=E0=A4=BF?=
 =?UTF-8?q?=E0=A4=82=E0=A4=B9=20Sameer=20Singh?= <[email-masked]>
Date: Sun, 5 Jun 2022 17:09:40 +0530
Subject: [PATCH] ; * lisp/international/fontset.el (setup-default-fontset)

Add a fallback font for Tamil supplement.
---
 lisp/international/fontset.el | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/lisp/international/fontset.el b/lisp/international/fontset.el
index 74be7edc64..d07619cd80 100644
--- a/lisp/international/fontset.el
+++ b/lisp/international/fontset.el
@@ -974,6 +974,12 @@ setup-default-fontset
   (set-fontset-font "fontset-default" 'emoji
                     '("Noto Color Emoji" . "iso10646-1") nil 'prepend)
 
+  ;; This allows the display of tamil supplement characters. As these characters
+  ;; are pretty simple and do not need reordering, ligatures, vowel signs, virama
+  ;; etc. tml2 or other OTF tags are not needed here.
+  (set-fontset-font "fontset-default" '(#x11FC0 . #x11FFF)
+                    '("Noto Sans Tamil Supplement" . "iso10646-1") nil 'append)
+
   ;; Append CJK fonts for characters other than han, kana, cjk-misc.
   ;; Append fonts for scripts whose name is also a charset name.
   (let* ((data (build-default-fontset-data))
-- 
2.36.1